/*-------------------------------------------------------- 
* Module Name : transport manager api
* Version : 1.4.1
* 
* Software Name : Transport Manager
* Version : 1.4.1
*
* Copyright © 01-10-2012 – 01-10-2012 France Télécom
* This software is distributed under the Apache (v2) license,
* the text of which is available at http://www.apache.org/licenses/LICENSE-2.0.html.
* or see the "license.txt" file for more details.
* 
*--------------------------------------------------------
* File Name   : ${file_name}
*
* Created     : ${date}
* Author(s)   : ${authors}
*
* Description :
* Reply interface of transport manager.
*
*--------------------------------------------------------
* ${Log}
*
*/


package com.orange.labs.quickpass.tm.notifier;

import com.orange.labs.quickpass.type.Msisdn;


/**
 * TransportReplyService
 */

public interface TransportReplyService {
    
    
    /**
     * JMS queue used for this service
     */
    String REPLY_TRANSPORT_QUEUE="activemq:reply.cms.transport.queue";
    
    /**
     * Used to notify any response from the given SE
     * 
     * @param secureResponse proof of receipt send by SE
     * @param msisdn msisdn
     */
    void handleSEResponse(Msisdn msisdn, byte[] secureResponse);

      
     /**
     * Notification of cattp session expiration
     * @param msisdn msisdn
     */
    void notifyCatTpSessionExpiration(Msisdn msisdn);

}
