/*-------------------------------------------------------- 
 * Module Name : transport manager api
 * Version : 1.4.1
 * 
 * Software Name : Transport Manager
 * Version : 1.4.1
 *
 * Copyright © 01-10-2012 – 01-10-2012 France Télécom
 * This software is distributed under the Apache (v2) license,
 * the text of which is available at http://www.apache.org/licenses/LICENSE-2.0.html.
 * or see the "license.txt" file for more details.
 *--------------------------------------------------------
 * File Name   : ${file_name}
 *
 * Created     : ${date}
 * Author(s)   : ${authors}
 *
 * Description :
 * Status enum for a given cattp session identified by a msisdn
 *
 *--------------------------------------------------------
 * ${Log}
 *
 */

package com.orange.labs.quickpass.tm.service;

/**
 * Status enum for a given cattp session identified by a msisdn
 * @author Gael Gérard
 */

public enum CattpSessionStatus {
    /**
     * session is created and waiting for some UICC activities
     */
    CREATED, 
    /**
     * session is already opened and begans exchanges
     */
    OPENED, 
    /**
     * session is closed. May not handle exchange anymore
     */
    CLOSED
}
