/*-------------------------------------------------------- 
* Module Name : transport manager api
* Version : 1.4.1
* 
* Software Name : Transport Manager
* Version : 1.4.1
*
* Copyright © 01-10-2012 – 01-10-2012 France Télécom
* This software is distributed under the Apache (v2) license,
* the text of which is available at http://www.apache.org/licenses/LICENSE-2.0.html.
* or see the "license.txt" file for more details.
*--------------------------------------------------------
* File Name   : ${file_name}
*
* Created     : ${date}
* Author(s)   : ${authors}
*
* Description :
* Thrown when CATTP session is already opened
*
*--------------------------------------------------------
* ${Log}
*
*/

package com.orange.labs.quickpass.tm.service.cattp;

/**
 * Thrown when CATTP session is already opened
 */
public class AlreadyConnectedException extends RuntimeException  {
    
    private static final long serialVersionUID = -2154438214129677336L;

    /**
     * Default constructor
     */
    public AlreadyConnectedException() {
    }

    /**
     * @param message message
     */
    public AlreadyConnectedException(String message) {
        super(message);
    }

    /**
     * @param cause exception cause
     */
    public AlreadyConnectedException(Throwable cause) {
        super(cause);
    }

    /**
     * @param message message
     * @param cause exception cause
     */
    public AlreadyConnectedException(String message, Throwable cause) {
        super(message, cause);
    }
    
}
