/*-------------------------------------------------------- 
* Module Name : transport manager api
* Version : 1.4.1
* 
* Software Name : Transport Manager
* Version : 1.4.1
*
* Copyright © 01-10-2012 – 01-10-2012 France Télécom
* This software is distributed under the Apache (v2) license,
* the text of which is available at http://www.apache.org/licenses/LICENSE-2.0.html.
* or see the "license.txt" file for more details.
*--------------------------------------------------------
* File Name   : ${file_name}
*
* Created     : ${date}
* Author(s)   : ${authors}
*
* Description :
* Bean class to store cattp connection data
*
*--------------------------------------------------------
* ${Log}
*
*/

package com.orange.labs.quickpass.tm.service.cattp;

import java.io.Serializable;
import java.util.UUID;

/**
 * Bean class to store cattp connection data
 * @author Gael Gerard
 */
public class CattpConnectionInfo implements Serializable {

    private static final long serialVersionUID = -1729029601239088880L;

    private String ipAddress;
    private int udpPort;
    private int cattpPort;
    private UUID sessionId;

    /**
     * Constructor with all params
     * @param ipAddress ipAddress
     * @param udpPort udp port
     * @param cattpPort cattp port
     * @param sessionId session identifier
     */
    public CattpConnectionInfo(String ipAddress, int udpPort, int cattpPort, UUID sessionId) {
        this.ipAddress = ipAddress;
        this.udpPort = udpPort;
        this.cattpPort = cattpPort;
        this.sessionId = sessionId;
    }



    /**
     * Getter for Cattp port
     * @return cattp port
     */
    public int getCattpPort() {
        return cattpPort;
    }

    /**
     * Setter for cattp port
     * @param cattpPort the cattpPort
     */
    public void setCattpPort(int cattpPort) {
        this.cattpPort = cattpPort;
    }


    /**
     * Getter for UDP port
     * @return udp port
     */
    public int getUdpPort() {
        return udpPort;
    }

    /**
     * Setter for udp port
     * @param udpPort the udpPort
     */
    public void setUdpPort(int udpPort) {
        this.udpPort = udpPort;
    }

    /**
     * Getter for IP address
     * @return ip adress 
     */
    public String getIpAddress() {
        return ipAddress;
    }

    /**
     * Setter for ip address
     * @param ipAddress ip adress
     */
    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }

    /**
     * Getter for sessionID
     * @return sessionID
     */
    public UUID getSessionId() {
        return sessionId;
    }

    /**
     * Setter for sessionId
     * @param sessionId sessionID
     */
    public void setSessionId(UUID sessionId) {
        this.sessionId = sessionId;
    }

   

}
