/*-------------------------------------------------------- 
* Module Name : transport manager api
* Version : 1.4.1
* 
* Software Name : Transport Manager
* Version : 1.4.1
*
* Copyright © 01-10-2012 – 01-10-2012 France Télécom
* This software is distributed under the Apache (v2) license,
* the text of which is available at http://www.apache.org/licenses/LICENSE-2.0.html.
* or see the "license.txt" file for more details.
*--------------------------------------------------------
* File Name   : ${file_name}
*
* Created     : ${date}
* Author(s)   : ${authors}
*
* Description :
* Thrown when no CATTP port is  available
*
*--------------------------------------------------------
* ${Log}
*
*/


package com.orange.labs.quickpass.tm.service.cattp;

/**
 * Thrown when no CATTP port is  available
 */
public class NoMorePortAvailableException extends RuntimeException {

    private static final long serialVersionUID = -1230234797179590293L;

    /**
     * Default Constructor
     */
    public NoMorePortAvailableException() {
        super();
    }

    /**
     * Constructor with message
     * @param message the message
     */
    public NoMorePortAvailableException(String message) {
        super(message);        
    }

    /**
     * Constructor with cause
     * @param cause the cause
     */
    public NoMorePortAvailableException(Throwable cause) {
        super(cause);        
    }

    /**
     * Constructor with cause and message
     * @param message the message
     * @param cause the cause
     */
    public NoMorePortAvailableException(String message, Throwable cause) {
        super(message, cause);        
    }

}
